## Necromancer ##
execute as @e[type=creeper,tag=PreNecro] at @s run function vanillamobs:moremobs/overworld/illagers/evoker/necromancer
execute as @e[type=vex,tag=!Summon,tag=!Choosing,tag=!Normal,tag=!Axe,tag=!Lightning,tag=!Flamoth,tag=!Spirit,tag=!Blight,tag=!Endensect] at @s if entity @e[type=evoker,tag=Necro,distance=..6] run tag @s add Summon
execute as @e[type=vex,tag=Summon] at @s if entity @e[tag=Necro,distance=..6] run function vanillamobs:moremobs/overworld/illagers/evoker/summoning_undeads
effect clear @e[type=evoker,tag=Necro] poison
effect clear @e[type=evoker,tag=Necro] instant_damage
scoreboard players add @e[type=zombie,tag=Summoned] entitytime 1
scoreboard players add @e[type=skeleton,tag=Summoned] entitytime 1
scoreboard players set @e[type=zombie,tag=Summoned,scores={entitytime=1200..}] entitytime 0
scoreboard players set @e[type=skeleton,tag=Summoned,scores={entitytime=1200..}] entitytime 0
kill @e[type=zombie,tag=Summoned,scores={entitytime=1200..}]
kill @e[type=skeleton,tag=Summoned,scores={entitytime=1200..}]

## Vexes ##
execute as @e[type=vex,tag=!Summon,tag=!Normal,tag=!Flamoth,tag=!Spirit,tag=!Blight,tag=!Endensect] if entity @e[type=evoker,tag=Normal,distance=..6] run tag @s add Normal

## Illusioner Spawn ##
execute as @e[type=evoker,tag=PreIllusioner] at @s run function vanillamobs:moremobs/overworld/illagers/evoker/illusioner_spawn

## Rocketeer ##
execute as @e[type=pillager,tag=PreRocketeer] at @s run function vanillamobs:moremobs/overworld/illagers/pillager/rocketeer

## Hunter ##
execute as @e[type=pillager,tag=PreHunter] at @s run function vanillamobs:moremobs/overworld/illagers/pillager/hunter

## Vindicator Patrolling ##
execute as @e[type=pillager,tag=Vindicator] at @s run function vanillamobs:moremobs/overworld/illagers/pillager/vindicator_spawn

## Enchanter ##
execute as @e[type=ravager,tag=PreEnchanter] at @s run function vanillamobs:moremobs/overworld/illagers/pillager/enchanter
execute as @e[type=pillager,tag=Enchanter] at @s run function vanillamobs:moremobs/overworld/illagers/pillager/enchanter_enchanting

## Assassin ##
execute as @e[type=vindicator,tag=PreAssassin] at @s run function vanillamobs:moremobs/overworld/illagers/vindicator/assassin

## Executioner ##
execute as @e[type=vindicator,tag=PreExecutioner] at @s run function vanillamobs:moremobs/overworld/illagers/vindicator/executioner

## Arsonist ##
execute as @e[type=ravager,tag=PreArsonist] at @s run function vanillamobs:moremobs/overworld/illagers/vindicator/arsonist
execute as @e[type=vindicator,tag=Arsonist] at @s run function vanillamobs:moremobs/overworld/illagers/vindicator/arsonist_fires
effect give @e[type=vindicator,tag=Arsonist] fire_resistance infinite 0 true

## Elder Ravager ##
execute as @e[type=ravager,tag=PreElder] at @s run function vanillamobs:moremobs/overworld/illagers/ravager/elder_ravager
execute as @e[type=ravager,tag=Elder] at @s run function vanillamobs:moremobs/overworld/illagers/ravager/elder_savage

## Necromancer in Raid ##
execute as @e[type=evoker,tag=PreNecro] at @s run function vanillamobs:moremobs/overworld/illagers/evoker/necromancer_raid

## Griefer ##
execute as @e[type=vindicator,tag=PreGriefer] at @s run function vanillamobs:moremobs/overworld/illagers/pillager/griefer
execute at @e[type=pillager,tag=Griefer,scores={entitytime=60}] run summon husk ~ ~ ~ {IsBaby:1,CanBreakDoors:1,CustomName:'[{"text":"Griefer\'s Timebomb"}]',Health:2,Silent:1b,Tags:["Normal","Bomb"],DeathLootTable:"none",ActiveEffects:[{Id:22,ShowParticles:0b}],ArmorItems:[{id:leather_boots,tag:{display:{color:10158080}},Count:1},{id:leather_leggings,tag:{display:{color:4673362}},Count:1},{id:leather_chestplate,tag:{display:{color:10158080}},Count:1},{id:tnt,Count:1}],ArmorDropChances:[0.00f,0.00f,0.00f,0.00f],Attributes:[{Name:"generic.max_health",Base:2f},{Name:"generic.movement_speed",Base:0.34f},{Name:"generic.attack_damage",Base:0f}]}
scoreboard players add @e[type=pillager,tag=Griefer] entitytime 1
scoreboard players set @e[type=pillager,tag=Griefer,scores={entitytime=300..}] entitytime 0

## Griefer's Timebomb Explodes ##
execute as @e[type=husk,tag=Bomb] at @s run function vanillamobs:moremobs/overworld/illagers/pillager/timebomb_explode

## Healer Witch ##
execute as @e[type=ravager,tag=PreHealer] at @s run function vanillamobs:moremobs/overworld/illagers/witch/healer_witch
execute at @e[type=witch,tag=Healer,predicate=vanillamobs:chance/chance_15] run particle heart ~ ~0.4 ~ 0.2 0.5 0.2 0 1
execute as @e[type=witch,tag=Healer,scores={entitytime=40}] at @s run function vanillamobs:moremobs/overworld/illagers/witch/healing_spell
scoreboard players add @e[type=witch,tag=Healer] entitytime 1
scoreboard players set @e[type=witch,tag=Healer,scores={entitytime=300..}] entitytime 0

## Hornblower ##
execute as @e[type=ravager,tag=PreHornblower] at @s run function vanillamobs:moremobs/overworld/illagers/vindicator/hornblower
execute at @e[type=vindicator,tag=Hornblower,scores={entitytime=1200}] run function vanillamobs:moremobs/overworld/illagers/vindicator/backup_call
scoreboard players add @e[type=vindicator,tag=Hornblower] entitytime 1
scoreboard players set @e[type=vindicator,tag=Hornblower,scores={entitytime=1200..}] entitytime 0

## Thundercaller ##
execute as @e[type=zombie,tag=PreThundercaller] at @s run function vanillamobs:moremobs/overworld/illagers/thundercaller
execute as @e[type=skeleton,tag=PreThundercaller] at @s run function vanillamobs:moremobs/overworld/illagers/thundercaller
execute at @e[type=arrow,nbt={inGround:0b,Color:6281177}] run particle electric_spark ~ ~ ~ 0.2 0.2 0.2 0 2
execute at @e[type=arrow,nbt={inGround:1b,Color:6281177}] run function vanillamobs:moremobs/overworld/illagers/pillager/conductive_arrow_lands