## Overworld ##

execute as @e[type=bat,tag=!Normal,tag=!PreMiner,tag=!PreShadow,tag=!PreSpectral,tag=!PreGoblin,tag=!PreTroll,tag=!PreStrongholdKeeperSword,tag=!PreStrongholdKeeperBow,tag=!PreDepth,tag=!PreSculker,tag=!PreMist,tag=!PreCoal,tag=!PreIron,tag=!PreCopper,tag=!PreGold,tag=!PreLapis,tag=!PreRedstone,tag=!PreEmerald,tag=!PreDiamond,tag=!PreAshes] at @s run function vanillamobs:moremobs/overworld/cave_mobs

execute as @e[type=squid,tag=!Normal,tag=!PreScuba] at @s run function vanillamobs:moremobs/overworld/squid_mobs

execute as @e[type=drowned,tag=!Normal,tag=!PreSword,tag=!PreAxe,tag=!Scuba,tag=!Tube,tag=!Brain,tag=!Bubble,tag=!Fire,tag=!Horn,tag=!Cquarl] at @s run function vanillamobs:moremobs/overworld/drowned_mobs

execute as @e[type=stray,tag=!Normal,tag=!PreSword,tag=!Ghost,tag=!Depth,tag=!Sculker,tag=!PreFrostray,tag=!Frostray,tag=!Shock] at @s run function vanillamobs:moremobs/overworld/stray_mobs

execute as @e[type=zombie,tag=!Normal,tag=!PreAxe,tag=!PreFast,tag=!Fast,tag=!PreGhost,tag=!Shadow,tag=!Goblin,tag=!Troll,tag=!Sporer,tag=!Demon,tag=!Soul,tag=!PreStrongholdKeeperSword,tag=!PreStrongholdKeeperBow,tag=!PreMossy,tag=!Mossy,tag=!PreAciden,tag=!Aciden,tag=!PreShock,tag=!PreThundercaller,tag=!PreSlime,tag=!Slime] at @s run function vanillamobs:moremobs/overworld/zombie_mobs

execute as @e[type=husk,tag=!Normal,tag=!PreAxe,tag=!PreFast,tag=!Fast,tag=!PreCactusk,tag=!Cactusk,tag=!MossyHorror] at @s run function vanillamobs:moremobs/overworld/husk_mobs

execute as @e[type=creeper,tag=!Normal,tag=!PreCharged,tag=!Charged,tag=!PreFast,tag=!Fast,tag=!PreSilent,tag=!Silent,tag=!PreNecro,tag=!PreStrongholdKeeperSword,tag=!PreStrongholdKeeperBow] at @s run function vanillamobs:moremobs/overworld/creeper_mobs

execute as @e[type=rabbit,tag=!Normal,tag=!PreKiller,tag=!Killer] at @s run function vanillamobs:moremobs/overworld/rabbit_mobs

execute as @e[type=mooshroom,tag=!Normal,tag=!PreBrown,tag=!Brown,tag=!PreSporer,tag=!PrePoison] at @s run function vanillamobs:moremobs/overworld/mooshroom_mobs

execute as @e[type=enderman,tag=!Normal,tag=!PreWarped,tag=!PreVoid,tag=!PreEndensect,tag=!PreElder,tag=!Elder,tag=!PreStalker,tag=!DisguiseEndemic,tag=!PrePhantom,tag=!PreAbyssWatcher,tag=!PreEndermite,tag=!PreExiled] at @s run function vanillamobs:moremobs/overworld/enderman_mobs

execute as @e[type=glow_squid,tag=!Normal,tag=!PreCoal,tag=!PreIron,tag=!PreCopper,tag=!PreGold,tag=!PreEmerald,tag=!PreRedstone,tag=!PreAmethyst,tag=!PreDiamond,tag=!PreGlowy,tag=!Glowy] at @s run function vanillamobs:moremobs/overworld/water_cave_mobs

execute as @e[type=spider,tag=!Normal,tag=!PreCave] at @s run function vanillamobs:moremobs/overworld/spider_mobs

execute as @e[type=sheep,tag=!Normal,tag=!Pink] at @s run function vanillamobs:moremobs/overworld/sheep_mobs

execute as @e[type=phantom,tag=!Normal,tag=!PreLarge,tag=!Jockey,tag=!PreVoid,tag=!Void] at @s run function vanillamobs:moremobs/overworld/phantom_mobs

execute as @e[type=tropical_fish,tag=!Normal,tag=!OreFish,tag=!CoralGuardian] at @s run function vanillamobs:moremobs/overworld/tropical_fish_mobs

execute as @e[type=skeleton_horse,tag=!Normal,tag=!Trap,tag=!PreZombieTrap] if entity @e[type=lightning_bolt,distance=..1] at @s run tag @s add Trap

execute as @e[type=skeleton,tag=!Normal,tag=!PreSword,tag=!Shadow,tag=!Shret,tag=!BastionKeeper,tag=!PreSoul,tag=!Wraith,tag=!PreWither,tag=!Spirit,tag=!PreStrongholdKeeperSword,tag=!PreStrongholdKeeperBow,tag=!StrongholdKeeper,tag=!Void,tag=!Endemic,tag=!EndGuardian,tag=!PreMossy,tag=!Mossy,tag=!Coal,tag=!Iron,tag=!Copper,tag=!Gold,tag=!Lapis,tag=!Redstone,tag=!Emerald,tag=!Diamond,tag=!Ashes,tag=!PreSculker,tag=!PreShock,tag=!PreThundercaller] if entity @e[type=skeleton_horse,tag=Trap,distance=..2] at @s run tag @s add Normal

execute as @e[type=skeleton_horse,tag=!Normal,tag=!PreZombieTrap] at @s run function vanillamobs:moremobs/overworld/skeleton_horse_mobs

execute as @e[type=skeleton,tag=!Normal,tag=!PreSword,tag=!Shadow,tag=!Shret,tag=!BastionKeeper,tag=!PreSoul,tag=!Wraith,tag=!PreWither,tag=!Spirit,tag=!PreStrongholdKeeperSword,tag=!PreStrongholdKeeperBow,tag=!StrongholdKeeper,tag=!Void,tag=!Endemic,tag=!EndGuardian,tag=!PreMossy,tag=!Mossy,tag=!Coal,tag=!Iron,tag=!Copper,tag=!Gold,tag=!Lapis,tag=!Redstone,tag=!Emerald,tag=!Diamond,tag=!Ashes,tag=!PreSculker,tag=!PreShock,tag=!PreThundercaller] at @s run function vanillamobs:moremobs/overworld/skeleton_mobs

## Patrol Leader Buffs ##
execute as @e[type=pillager,nbt={PatrolLeader:1b},tag=!Normal,tag=!PreRocketeer,tag=!Rocketeer,tag=!PreHunter,tag=!Hunter,tag=!Enchanter,tag=!Vindicator,tag=!Griefer,tag=!PatrolLeader] at @s run function vanillamobs:moremobs/overworld/illagers/pillager/patrol_leader_buff
execute as @e[type=vindicator,nbt={PatrolLeader:1b},tag=!Normal,tag=!PreAssassin,tag=!Assassin,tag=!PreExecutioner,tag=!Executioner,tag=!Arsonist,tag=!PreGriefer,tag=!PreInquistor,tag=!Inquistor,tag=!Hornblower,tag=!PatrolLeader] at @s run function vanillamobs:moremobs/overworld/illagers/vindicator/patrol_leader_buff

execute as @e[type=evoker,tag=!Normal,tag=!PreIllusioner,tag=!Necro] at @s run function vanillamobs:moremobs/overworld/evoker_mobs

execute as @e[type=pillager,tag=!Normal,tag=!PreRocketeer,tag=!Rocketeer,tag=!PreHunter,tag=!Hunter,tag=!Enchanter] at @s run function vanillamobs:moremobs/overworld/pillager_mobs

execute as @e[type=vindicator,tag=!Normal,tag=!PreAssassin,tag=!Assassin,tag=!PreExecutioner,tag=!Executioner,tag=!Igniter] at @s run function vanillamobs:moremobs/overworld/vindicator_mobs

execute as @e[type=ravager,tag=!Normal,tag=!PreElder,tag=!Elder,tag=!PreIgniter,tag=!PreEnchanter] at @s run function vanillamobs:moremobs/overworld/ravager_mobs

execute as @e[type=witch,tag=!Normal,tag=!PreHealer,tag=!Healer] at @s run function vanillamobs:moremobs/overworld/witch_mobs

## Nether ##

execute as @e[type=zombified_piglin,tag=!Normal,tag=!PreAxe,tag=!PreBow,tag=!PreDemon,tag=!PreDemonSword,tag=!PreReaper,tag=!PreShret,tag=!PreNetheriteSkull] at @s run function vanillamobs:moremobs/nether/zombified_piglin_mobs

execute as @e[type=wither_skeleton,tag=!Normal,tag=!PreBow,tag=!Warped,tag=!NetheriteSkull,tag=!PreBrute,tag=!Brute,tag=!Reaper,tag=!AbyssWatcher,tag=!Crackler] at @s run function vanillamobs:moremobs/nether/wither_skeleton_mobs

execute as @e[type=blaze,tag=!Normal,tag=!PreBlazing,tag=!Blazing] at @s run function vanillamobs:moremobs/nether/blaze_mobs

execute as @e[type=magma_cube,tag=!Normal,tag=!PreWraith] at @s run function vanillamobs:moremobs/nether/magma_cube_mobs

execute as @e[type=hoglin,tag=!Normal,tag=!PreFlamoth,tag=!PreBrute,tag=!Brute,tag=!PreCrimsonSpider,tag=!PreCrimson,tag=!PreCrimsonSporer,tag=!Guster] at @s run function vanillamobs:moremobs/nether/hoglin_mobs

execute as @e[type=piglin,tag=!Normal,tag=!PreBowJockey,tag=!PreSwordJockey,tag=!PreAxe] at @s run function vanillamobs:moremobs/nether/piglin_mobs

execute as @e[type=piglin_brute,tag=!Normal,tag=!PreBastionKeeper,tag=!Crimson,tag=!PrePaladin,tag=!Paladin] at @s run function vanillamobs:moremobs/nether/piglin_brute_mobs

execute as @e[type=strider,tag=!Normal,tag=!PreBow,tag=!PreSword,tag=!PreTrader] at @s run function vanillamobs:moremobs/nether/strider_mobs

execute as @e[type=ghast,tag=!Normal,tag=!PreBlight] at @s run function vanillamobs:moremobs/nether/ghast_mobs

## End ##

execute as @e[type=shulker,tag=!Normal,tag=!PreEndGuardian] at @s run function vanillamobs:moremobs/end/shulker_mobs