## Mobs Spawning ##
function vanillamobs:choose
function vanillamobs:overworld_spawn
function vanillamobs:animals_spawn
function vanillamobs:illagers_spawn
function vanillamobs:nether_spawn
function vanillamobs:end_spawn

## Scoreboards ##
scoreboard objectives add entitytime dummy "Entity Timer"

## Mob Tweaks ##
execute as @e[type=skeleton,tag=PreSword] at @s run function vanillamobs:moremobs/overworld/skeleton/skeleton_sword
execute as @e[type=stray,tag=PreSword] at @s run function vanillamobs:moremobs/overworld/stray/stray_sword
execute as @e[type=drowned,tag=PreSword] at @s run function vanillamobs:moremobs/overworld/drowned/drowned_sword
execute as @e[type=drowned,tag=PreAxe] at @s run function vanillamobs:moremobs/overworld/drowned/drowned_axe
execute as @e[type=zombie,tag=PreAxe] at @s run function vanillamobs:moremobs/overworld/zombie/zombie_axe
execute as @e[type=husk,tag=PreAxe] at @s run function vanillamobs:moremobs/overworld/husk/husk_axe
execute as @e[type=zombified_piglin,tag=PreAxe] at @s run function vanillamobs:moremobs/nether/zombified_piglin/zombified_piglin_axe
execute as @e[type=zombified_piglin,tag=PreBow] at @s run function vanillamobs:moremobs/nether/zombified_piglin/zombified_piglin_bow
execute as @e[type=wither_skeleton,tag=PreBow] at @s run function vanillamobs:moremobs/nether/wither_skeleton/wither_skeleton_bow
execute as @e[type=piglin,tag=PreAxe] at @s run function vanillamobs:moremobs/nether/piglin/piglin_axe
execute as @e[type=spider,tag=PreCave] at @s run function vanillamobs:moremobs/overworld/spider/cave_spider_spawn
execute as @e[type=sheep,tag=Pink] at @s run function vanillamobs:moremobs/overworld/animals/pink_sheep
execute as @e[type=creeper,nbt={powered:1},tag=!Striked] at @s run tag @e[type=creeper,nbt={powered:1},tag=!Striked] add Striked
execute as @e[tag=Stalker] at @s run tp @s ~ ~ ~ facing entity @e[type=player,gamemode=!spectator,sort=nearest,limit=1]

## Team Create ##
team add Players
team add Piglin
team add Stronghold
team add EndProtector
team add NoHateEndermite
team add HateEndermite
team add Illagers
team add Sculk
team add Aquatic

## Team Modifier ##
team modify Players seeFriendlyInvisibles false

## Join Team ##
team join Players @e[type=player,team=!Players]
team join Piglin @e[type=piglin,tag=!Exiled,team=!Piglin]
team join Piglin @e[type=piglin_brute,team=!Piglin]
team join Piglin @e[type=hoglin,predicate=vanillamobs:location/bastion_remnant,tag=!Normal,tag=!PreFlamoth,tag=!PreBrute,tag=!Brute,tag=!PreCrimsonSpider,tag=!PreCrimson,team=!Piglin]
team join EndProtector @e[type=shulker,team=!EndProtector]
team join HateEndermite @e[predicate=vanillamobs:chance/chance_20,type=enderman,team=!NoHateEndermite,team=!HateEndermite]
team join NoHateEndermite @e[predicate=vanillamobs:chance/chance_20,predicate=vanillamobs:location/the_end,type=enderman,team=!NoHateEndermite,team=!HateEndermite]
team join NoHateEndermite @e[type=endermite,team=!NoHateEndermite]
team join Illagers @e[type=pillager,team=!Illagers]
team join Illagers @e[type=vindicator,team=!Illagers]
team join Illagers @e[type=evoker,team=!Illagers]
team join Illagers @e[type=illusioner,team=!Illagers]
team join Illagers @e[type=witch,team=!Illagers]
team join Illagers @e[type=ravager,team=!Illagers]
team join Illagers @e[type=vex,tag=Normal,team=!Illagers]
team join Sculk @e[type=warden,team=!Sculk]
team join Aquatic @e[type=cod,team=!Aquatic]
team join Aquatic @e[type=salmon,team=!Aquatic]
team join Aquatic @e[type=pufferfish,team=!Aquatic]
team join Aquatic @e[type=tropical_fish,team=!Aquatic]
team join Aquatic @e[type=squid,team=!Aquatic]
team join Aquatic @e[type=glow_squid,team=!Aquatic]
team join Aquatic @e[type=dolphin,team=!Aquatic]
team join Aquatic @e[type=turtle,team=!Aquatic]